WORMS(6)

NAME
worms - animate worms on a display terminal

SYNOPSIS
worms [ -field ] [ -length # ] [ -number # ] [ -trail ]

DESCRIPTION
Brian Horn (cithep!bdh) showed me a TOPS-20 program on the DEC-2136 machine called WORM, and suggested that I write a similar program that would run under Unix. I did, and no apologies.

-field makes a "field" for the worm(s) to eat; -trail causes each worm to leave a trail behind it. You can figure out the rest by yourself.

FILES
/etc/termcap

AUTHOR
Eric P. Scott

SEE ALSO
Snails, by Karl Heuer

DIAGNOSTICS
Invalid length
    Value not in range 2 <= length <= 1024

Invalid number of worms
    Value not in range 1 <= number <= 40

TERM: parameter not set
    The TERM environment variable is not defined. Do

        TERM=terminal type
        export TERM

Unknown terminal type
    Your terminal type (as determined from the TERM environment variable) is not defined in /etc/termcap.

Terminal not capable of cursor motion
    Your terminal is too stupid to run this program.

Out of memory
    This should never happen on a VAX.

BUGS
The lower-right-hand character position will not be updated properly on a terminal that wraps at the right margin.

Terminal initialization is not performed.

There should be an option to have the worms eat Pink Floyd lyrics.